## org.eclipse.datatools.connectivity.oda.design
Class TextWrapType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.TextWrapType

public final class TextWrapType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Text Wrap Type', and utility methods for working with them. A hint on the type of text wrapping on the data column values. It could be in a single line (None), or word-wrapped (Word).

See Also:
  `DesignPackage.getTextWrapType()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `NONE` The 'None' literal value.
`static TextWrapType` `NONE_LITERAL` The 'None' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Text Wrap Type' enumerators.
`static int` `WORD` The 'Word' literal value.
`static TextWrapType` `WORD_LITERAL` The 'Word' literal object.

Method Summary
`static TextWrapType` `get(int value)` Returns the 'Text Wrap Type' literal with the specified value.
`static TextWrapType` `get(java.lang.String name)` Returns the 'Text Wrap Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### WORD

    public static final int WORD

  The 'Word' literal value.

  See Also:
    `WORD_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final TextWrapType NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### WORD_LITERAL

    public static final TextWrapType WORD_LITERAL

  The 'Word' literal object.

  See Also:
    `WORD`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Text Wrap Type' enumerators.

Method Detail

### get

    public static TextWrapType get(java.lang.String name)

  Returns the 'Text Wrap Type' literal with the specified name.

### get

    public static TextWrapType get(int value)

  Returns the 'Text Wrap Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.